> ## Documentation Index
> Fetch the complete documentation index at: https://docs.projectio.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User Assignment

> Create assignment for user.



## OpenAPI

````yaml POST /v1/users/{user_id}/assignments
openapi: 3.1.0
info:
  title: Torch Impact Management API
  description: >-
    API for managing users, projects, indicators, targets, results, and impact
    data in Torch.
  version: '2026-01-27'
servers:
  - url: https://{tenant}.torchapp.com.au/api
    variables:
      tenant:
        default: demo
        description: Your Torch tenant subdomain.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Users
  - name: Projects
  - name: Elements
  - name: Indicators
  - name: Disaggregations
  - name: Targets
  - name: Results
  - name: Assignments
  - name: Misc
paths:
  /v1/users/{user_id}/assignments:
    post:
      tags:
        - Users
        - Assignments
      summary: Create assignment for user
      description: Create assignment for user.
      parameters:
        - $ref: '#/components/parameters/UserIdAlt'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserAssignmentCreate'
      responses:
        '200':
          description: Assignment created
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  parameters:
    UserIdAlt:
      name: user_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the user.
  schemas:
    UserAssignmentCreate:
      type: object
      properties:
        assignable_type:
          type: string
          example: architecto
        assignable_id:
          type: integer
          example: 16
      required:
        - assignable_type
        - assignable_id
    UnauthenticatedError:
      type: object
      properties:
        message:
          type: string
          example: Unauthenticated.
      required:
        - message
  responses:
    Unauthenticated:
      description: Unauthenticated
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````